OBJECTIVE = pidgin-twitter.so
SRC = pidgin-twitter.c
HDR = ${SRC:.c=.h}

PIDGIN_PLUGIN_DIR = @PIDGIN_PREFIX@/lib/pidgin
PIDGIN_DATA_DIR = @PIDGIN_PREFIX@/share

PIDGIN_CFLAGS = @PIDGIN_CFLAGS@
GLIB_CFLAGS = @GLIB_CFLAGS@
XML_CFLAGS = @XML_CFLAGS@
CFLAGS = -fPIC -shared -Wall $(PIDGIN_CFLAGS) $(GLIB_CFLAGS) $(XML_CFLAGS) -DDATADIR=\"$(PIDGIN_DATA_DIR)\"

GLIB_LIBS = @GLIB_LIBS@
XML_LIBS = @XML_LIBS@
LDFLAGS = $(GLIB_LIBS) $(XML_LIBS)

all: $(OBJECTIVE)


$(OBJECTIVE): $(SRC) $(HDR)
	gcc -o $@ $(SRC) $(CFLAGS) $(LDFLAGS) -g


install: $(OBJECTIVE)
	install -m 755 $(OBJECTIVE) $(PIDGIN_PLUGIN_DIR)
	install -d -m 755 $(PIDGIN_DATA_DIR)/pidgin-twitter
	install -m 644 prefs.ui $(PIDGIN_DATA_DIR)/pidgin-twitter


clean:
	rm -f $(OBJECTIVE)


distclean: clean
	rm -f Makefile config.log config.status


maintainer-clean: distclean
	rm -rf autom4te.cache aclocal.m4 *~


release: maintainer-clean
	rm -f .hgtags
	rm -rf .hg
